## org.apache.lucene.analysis.util
Interface MultiTermAwareComponent

All Known Implementing Classes:
  ArabicNormalizationFilterFactory, ASCIIFoldingFilterFactory, CJKWidthFilterFactory, CollationKeyFilterFactory, ElisionFilterFactory, GermanNormalizationFilterFactory, GreekLowerCaseFilterFactory, HindiNormalizationFilterFactory, IndicNormalizationFilterFactory, IrishLowerCaseFilterFactory, LowerCaseFilterFactory, LowerCaseTokenizerFactory, MappingCharFilterFactory, PersianCharFilterFactory, PersianNormalizationFilterFactory, TurkishLowerCaseFilterFactory

    public interface MultiTermAwareComponent

Add to any analysis factory component to allow returning an analysis component factory for use with partial terms in prefix queries, wildcard queries, range query endpoints, regex queries, etc.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Method Summary
`AbstractAnalysisFactory` `getMultiTermComponent()` Returns an analysis component to handle analysis if multi-term queries.

Method Detail

### getMultiTermComponent

    AbstractAnalysisFactory getMultiTermComponent()

  Returns an analysis component to handle analysis if multi-term queries. The returned component must be a TokenizerFactory, TokenFilterFactory or CharFilterFactory.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.